<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/TR/xhtml1/strict">
	<!--  stylesheet: http://xsltsl.sourceforge.net/xsl/stdlib.xsl -->
	<!--  http://www.w3.org/1999/XSL/Transform ____________________________________________ mensaje_IFTMCSI01 __________________________________________ -->
	<xsl:import href="include.xsl"/>
	<xsl:output method="text" encoding="ISO-8859-1"/>
	 
	 
	<xsl:template match="/">
		<xsl:apply-templates select="//IFTMCS.HEADER"/>
	</xsl:template>
	<xsl:template match="IFTMCS.HEADER">
		<!-- Definicion de variables y Xpath -->
		<xsl:variable name="EMISOR" select="/IFTMCS/IFTMCS.HEADER/anxs_interchange.header/anxe_sender.identification"/>
		<xsl:variable name="CAB_RFF_LIBRE" select="anxs_message.header/anxe_message.reference.number"/>
		<xsl:variable name="CAB_ID_DOCUMENTO" select="trsd_beginning.of.message/trcd_document.message.identification"/>
		<!-- Formato de variables y orden -->
		<xsl:for-each select="trsd_efree.text">
		<xsl:variable name="INF_GENERAL" select="tred_free.text1"/>
		<xsl:if test="boolean(string-length($INF_GENERAL)>0)">
		<xsl:variable name="tipo" select="tred_text.subject.qualifier"/>
	      		<xsl:if test="contains($tipo,'AAI')">
				<xsl:value-of select="$EMISOR"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$CAB_RFF_LIBRE"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$CAB_ID_DOCUMENTO"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$INF_GENERAL"/>
				<xsl:value-of select="$separadorColum"/>				
				<xsl:call-template name="camposVacios2">
				 <xsl:with-param name="i" select="1"/>
				 <xsl:with-param name="count" select="4"/>
				</xsl:call-template>
				<xsl:value-of select="$saltoLinea"/>
			</xsl:if>
		</xsl:if>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
