<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:import href="include.xsl"/>
<xsl:output  method="text" encoding="ISO-8859-1"/>
<xsl:variable name="EMISOR" select="//IFTMIN1I01P.HEADER/anxs_interchange.header/anxe_sender.identification"/>
<xsl:variable name="refMsg" select="//IFTMIN1I01P.HEADER/trsd_beginning.of.message/tred_document.message.number"/>
 
 
<xsl:template match="/">
   <xsl:call-template name="grupo23"/>
</xsl:template>
<xsl:template name="refAakNumRef">
		<xsl:for-each select="/IFTMIN1I01P/IFTMIN1I01P.GROUP3/trcd_reference">
		    <xsl:if test="boolean(normalize-space(tred_reference.qualifier)='AAK' or normalize-space(tred_reference.qualifier)='AGI')">
		      <xsl:value-of  select="tred_reference.number" />
     			<xsl:value-of select="$separadorColum"/>
		   </xsl:if>
		</xsl:for-each>
</xsl:template>
  <!-- GROUP23//Segmento PCI -->
 <xsl:template name="grupo23">
 <xsl:for-each select="//IFTMIN1I01P.GROUP18/IFTMIN1I01P.GROUP23/trsd_package.identification">
 <!-- self::IFTMIN1I01P.GROUP18/IFTMIN1I01P.GROUP23/trsd_package.identification -->
					<xsl:variable name="partidaID" select="ancestor::*[2]/descendant::tred_goods.item.number[1]"></xsl:variable>
					<xsl:value-of select="$EMISOR"/>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$refMsg"/>
					<xsl:value-of select="$separadorColum"/>
					<xsl:call-template name="refAakNumRef"/>
					<xsl:value-of select="$partidaID"/>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="tred_marking.instructions.coded"/> 
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="tred_shipping.marks"/> 
					<xsl:value-of select="$saltoLinea"/> 
					<!-- salto de linea -->
 </xsl:for-each>
</xsl:template>
</xsl:stylesheet>
