<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"     xmlns="http://www.w3.org/TR/xhtml1/strict"  >
	<xsl:import href="include.xsl"/>
	<xsl:output method="text" encoding="ISO-8859-1"/>
	 
	 
	<xsl:template match="/">
		<xsl:call-template name="GROUP18"/>
	</xsl:template>
	<xsl:template name="GROUP18">
	<!-- Definicion de variables y Xpath -->
	<xsl:variable name="EMISOR" select="//IFTMINE03/IFTMINE03.HEADER/anxs_interchange.header/anxe_sender.identification"/>
	<xsl:variable name="REF_AAS_NUM_REF" select="//IFTMINE03/IFTMINE03.GROUP3/trcd_reference/tred_reference.number"/>
	<xsl:variable name="CAB_ID_MENSAJE" select="//IFTMINE03/IFTMINE03.HEADER/trsd_beginning.of.message/tred_document.message.number"/>
		<xsl:for-each select="//IFTMINE03.GROUP18">
			<!-- Definicion de variables y Xpath -->
			<xsl:variable name="position" select="position()"/>
			<xsl:variable name="PAR_NUM_PARTIDA" select="trsd_goods.item.details/tred_goods.item.number" />
			<xsl:call-template name="GRUPO23">
			    <xsl:with-param  name="position"  select="$position"/>
			    <xsl:with-param name="EMISOR" select="$EMISOR"/>
			    <xsl:with-param name="REF_AAS_NUM_REF" select="$REF_AAS_NUM_REF"/>
			    <xsl:with-param name="CAB_ID_MENSAJE" select="$CAB_ID_MENSAJE"/>
			    <xsl:with-param name="PAR_NUM_PARTIDA" select="$PAR_NUM_PARTIDA"/>
			</xsl:call-template>
			<!-- Sacar el resultado por pantalla -->
		
		</xsl:for-each>
 	</xsl:template>
	<xsl:template name="GRUPO23">
			<xsl:param name="position"/>
	 		<xsl:param name="EMISOR"/>
	 		<xsl:param name="CAB_ID_MENSAJE"/>
	 		<xsl:param name="REF_AAS_NUM_REF"/>
	 		<xsl:param name="PAR_NUM_PARTIDA"/>
 	         <xsl:for-each select="//IFTMINE03.GROUP18[$position]/IFTMINE03.GROUP23">
 	             <xsl:variable name="MARC_CALIFICADOR" select="trsd_package.identification/tred_marking.instructions.coded"/>
 	             <xsl:variable name="MARC_MARCA" select="trsd_package.identification/tred_shipping.marks"/>
 	             
			<xsl:value-of select="$EMISOR"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$CAB_ID_MENSAJE"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$REF_AAS_NUM_REF"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$PAR_NUM_PARTIDA"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$MARC_CALIFICADOR"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$MARC_MARCA"/>
			<xsl:value-of select="$saltoLinea"/>
		</xsl:for-each>
 	</xsl:template> 	
</xsl:stylesheet>
